### org.jfree.layouting.output.pageable

# Class BorderShapeFactory

- `java.lang.Object`
- - `org.jfree.layouting.output.pageable.BorderShapeFactory`

`public class BorderShapeFactory`
`extends java.lang.Object`

This class needs attention. Maybe it is wise to split it into several border implementations to reduce the complexity of the whole process.

Author:
  Thomas Morgner

  ## Nested Class Summary

  `static class`

  `BorderShapeFactory.BorderDrawOperation`

  ## Constructor Summary

  `BorderShapeFactory(RenderBox box)`

  ## Method Summary

  `void`

  `generateBorder(Graphics2D g2)`

## Constructor Details

### BorderShapeFactory

    public BorderShapeFactory(RenderBox box)

## Method Details

### generateBorder

    public void generateBorder(Graphics2D g2)